/*
 * Globals.cpp
 *
 *  Created on: 16 dec 2011
 *      Author: Reii
 */

#include "SDL/SDL.h"
#include "Globals.h"

Globals::Globals(){
	SDL_Init( SDL_INIT_EVERYTHING );

	SDL_WM_SetCaption( "DodgeCraft", NULL );
	screen = SDL_SetVideoMode(1440, 900, 32, SDL_SWSURFACE || SDL_DOUBLEBUF);
	FPS = 30;
	menu = "Images/Menu.bmp";
}

SDL_Surface* Globals::getScreen(){
	return screen;
}

int Globals::getFPS(){
	return FPS;
}

void Globals::Quit(){
	quitgame = true;
}

void Globals::Start(){
	quitgame = false;
}

bool Globals::getQuit(){
	return quitgame;
}

void Globals::quitProgram(){
	quitprogram = true;
}

bool Globals::getQuitProgram(){
	return quitprogram;
}

void Globals::setMenu(std::string m){
	menu = m;
}

std::string Globals::getMenu(){
	return menu;
}

Globals::~Globals(){
	SDL_Quit();
}

Globals globals;
